<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <ItemGroup>
    <SupportedPlatform Include="browser" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Models\DTO\" />
    <Folder Include="Models\ServerSide\Messages\" />
    <Folder Include="NewFolder\" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.AspNetCore.Cryptography.KeyDerivation" Version="8.0.1" />
    <PackageReference Include="Microsoft.AspNetCore.Http.Features" Version="5.0.17" />
    <PackageReference Include="Microsoft.JSInterop" Version="8.0.1" />
    <PackageReference Include="SkiaSharp" Version="2.88.7" />
    <PackageReference Include="SkiaSharp.Views.Desktop.Common" Version="2.88.7" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\TIAM.Database\TIAM.Database.csproj" />
    <ProjectReference Include="..\..\TIAM.Entities.Server\TIAM.Entities.Server.csproj" />
    <ProjectReference Include="..\..\TIAM.Entities\TIAM.Entities.csproj" />
    <ProjectReference Include="..\..\TIAM.Models\TIAM.Models.csproj" />
    <ProjectReference Include="..\..\TIAMResources\TIAM.Resources.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="AyCode.Core">
      <HintPath>..\..\..\AyCode.Core\AyCode.Services.Server\bin\Debug\net8.0\AyCode.Core.dll</HintPath>
    </Reference>
    <Reference Include="AyCode.Core.Server">
      <HintPath>..\..\..\AyCode.Core\AyCode.Services.Server\bin\Debug\net8.0\AyCode.Core.Server.dll</HintPath>
    </Reference>
    <Reference Include="AyCode.Entities">
      <HintPath>..\..\..\AyCode.Core\AyCode.Services.Server\bin\Debug\net8.0\AyCode.Entities.dll</HintPath>
    </Reference>
    <Reference Include="AyCode.Entities.Server">
      <HintPath>..\..\..\AyCode.Core\AyCode.Services.Server\bin\Debug\net8.0\AyCode.Entities.Server.dll</HintPath>
    </Reference>
    <Reference Include="AyCode.Interfaces">
      <HintPath>..\..\..\AyCode.Core\AyCode.Services.Server\bin\Debug\net8.0\AyCode.Interfaces.dll</HintPath>
    </Reference>
    <Reference Include="AyCode.Interfaces.Server">
      <HintPath>..\..\..\AyCode.Core\AyCode.Services.Server\bin\Debug\net8.0\AyCode.Interfaces.Server.dll</HintPath>
    </Reference>
    <Reference Include="AyCode.Models">
      <HintPath>..\..\..\AyCode.Core\AyCode.Services.Server\bin\Debug\net8.0\AyCode.Models.dll</HintPath>
    </Reference>
    <Reference Include="AyCode.Services">
      <HintPath>..\..\..\AyCode.Core\AyCode.Services.Server\bin\Debug\net8.0\AyCode.Services.dll</HintPath>
    </Reference>
  </ItemGroup>
</Project>
